#!/usr/bin/env python3

import os
import utils
from argparse import ArgumentParser


def main():
    parser = ArgumentParser('Copy logs')
    parser.add_argument('log_dirs', nargs='+',
                        help='The directories to copy.')
    args = parser.parse_args()
    utils.copy_logs(args.log_dirs)
    keep_running = bool(os.environ.get('KEEP_CI_RUNNING', False))
    if keep_running:
        utils.pause_until_released(
            'Logs have been copied... keeping CI environment running')

if __name__ == "__main__":
    main()
